Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.audit
Class Audit

    java.lang.Object
      weblogic.security.audit.Audit

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the weblogic.security.service.Auditor provided by the Pluggable Security Infrastructure.

public final class Audit
extends Object

The usual entrypoint for subsystems that perform security audit logging operations. It provides a static "implementation" of the Audit interface. If auditing has been enabled by the server administrator, it will log to the correct destination.

This class cannot be instantiated.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`static void` | `authenticateUser(String subsystem, UserInfo info, User result)` Deprecated.
`static void` | `checkPermission(String subsystem, Acl acl, Principal principal, Permission permission, boolean result)` Deprecated.
`static AuditProvider` | `getProvider()` Deprecated. Return the audit provider currently in use, or null if none.
`static void` | `setProvider(AuditProvider p)` Deprecated. Set the audit provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### authenticateUser

    public static void authenticateUser(String subsystem,
                                        UserInfo info,
                                        User result)

  Deprecated.
  See Also:
    `AuditProvider.authenticateUser(java.lang.String, weblogic.security.acl.UserInfo, weblogic.security.acl.User)`

### checkPermission

    public static void checkPermission(String subsystem,
                                       Acl acl,
                                       Principal principal,
                                       Permission permission,
                                       boolean result)

  Deprecated.
  See Also:
    `AuditProvider.checkPermission(java.lang.String, java.security.acl.Acl, java.security.Principal, java.security.acl.Permission, boolean)`

### getProvider

    public static AuditProvider getProvider()

  Deprecated.
  Return the audit provider currently in use, or null if none.

### setProvider

    public static void setProvider(AuditProvider p)

  Deprecated.
  Set the audit provider. This method may only be called once per VM; if it is called more than once, a SecurityException will be thrown.

  Parameters:
    `p` - the provider to use for logging

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD